com.holonplatform.core.query

## Interface ConstantExpression<T,E>

- Type Parameters:
    `T` - Expression type
    `E` - Concrete value type
  All Superinterfaces:
    Expression, QueryExpression<E>
  All Known Subinterfaces:
    PropertyConstantExpression<T,E>

      public interface ConstantExpression<T,E>
      extends QueryExpression<E>

  Constant value `QueryExpression`.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> ConstantExpression<Collection<T>,T>` | `create(Collection<? extends T> values)` Create a `QueryExpression` which represents a collection of constant values.
    `static <T> ConstantExpression<Collection<T>,T>` | `create(T... values)` Create a `QueryExpression` which represents a collection of constant values.
    `static <T> ConstantExpression<T,T>` | `create(T value)` Create a `QueryExpression` which represents a constant value
    `T` | `getValue()` Get the constant expression value

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `getType`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getValue

          T getValue()

      Get the constant expression value
      Returns:
        The expression value

    - #### create

          static <T> ConstantExpression<T,T> create(T value)

      Create a `QueryExpression` which represents a constant value
      Type Parameters:
        `T` - Expression type
      Parameters:
        `value` - Constant value (not null)
      Returns:
        A new constant expression

    - #### create

          static <T> ConstantExpression<Collection<T>,T> create(Collection<? extends T> values)

      Create a `QueryExpression` which represents a collection of constant values.
      Type Parameters:
        `T` - Expression type
      Parameters:
        `values` - Expression values (not null)
      Returns:
        A new collection expression

    - #### create

          @SafeVarargs
          static <T> ConstantExpression<Collection<T>,T> create(T... values)

      Create a `QueryExpression` which represents a collection of constant values.
      Type Parameters:
        `T` - Expression type
      Parameters:
        `values` - Expression values (not null)
      Returns:
        A new collection expression

Copyright © 2017 The Holon Platform. All rights reserved.